Author Topic: yum -y update conflict  (Read 424 times)

0 Members and 1 Guest are viewing this topic.

Offline
*
yum -y update conflict
« on: April 07, 2020, 07:50:06 PM »
Hi,

I'm having below conflict errors with command #yum -y update. I've found 2 recent topics having same issue; requesting you to suggest me how to solve my error and fix update command. Do I follow the commands suggested? Newbie + novice here.

#1 https://forum.centos-webpanel.com/index.php?board=50.0
Topic suggests to use commands:

            #yum remove python36u python36u-libs
            #yum install python3 python3-libs                                       

#2 https://forum.centos-webpanel.com/index.php?topic=8584.0
Topic suggests to use command:

             #rpm -e --nodeps python36u-libs.x86_64 python36u.x86_64


Regards.

Transaction check error:

  file /usr/bin/python3.6 from install of python3-3.6.8-10.el7.x86_64 conflicts with file from package python36u-3.6.8-1.el7.ius.x86_64
  file /usr/bin/python3.6m from install of python3-3.6.8-10.el7.x86_64 conflicts with file from package python36u-3.6.8-1.el7.ius.x86_64
  file /usr/lib64/python3.6/ensurepip/__init__.py from install of python3-libs-3.6.8-10.el7.x86_64 conflicts with file from package python36u-libs-3.6.8-1.el7.ius.x86_64
  file /usr/lib64/python3.6/http/client.py from install of python3-libs-3.6.8-10.el7.x86_64 conflicts with file from package python36u-libs-3.6.8-1.el7.ius.x86_64
  file /usr/lib64/python3.6/asyncio/__pycache__/__init__.cpython-36.opt-1.pyc from install of python3-libs-3.6.8-10.el7.x86_64 conflicts with file from package python36u-libs-3.6.8-1.el7.ius.x86_64
  file /usr/lib64/python3.6/collections/__pycache__/__init__.cpython-36.opt-1.pyc from install of python3-libs-3.6.8-10.el7.x86_64 conflicts with file from package python36u-libs-3.6.8-1.el7.ius.x86_64
  file /usr/lib64/python3.6/concurrent/__pycache__/__init__.cpython-36.opt-1.pyc from install of python3-libs-3.6.8-10.el7.x86_64 conflicts with file from package python36u-libs-3.6.8-1.el7.ius.x86_64

-------
-------
------- total 1095 lines
-------
-------

-------

« Last Edit: April 07, 2020, 08:00:23 PM by bpls14 »

Re: yum -y update conflict
« Reply #1 on: April 07, 2020, 09:05:29 PM »
More spoon feeding.  >:(

Just do it (TM)

Code: [Select]
yum remove python36u python36u-libs
yum install python3 python3-libs

Shared hosting is very cheap, these days.

Offline
*
Re: yum -y update conflict
« Reply #2 on: April 07, 2020, 09:27:58 PM »
Perfect!
Thanks...  :) ejsolutions

Offline
*****
Re: yum -y update conflict
« Reply #3 on: April 08, 2020, 09:12:07 AM »
search forum before posting solution was already provided